#
# Conditional build:
%bcond_with	tests	# unit tests (failing?)

Summary:	Sphinx extension which outputs Apple help books
Summary(pl.UTF-8):	Rozszerzenie Sphinksa zapisujące książki pomocy Apple
Name:		python3-sphinxcontrib-applehelp
Version:	2.0.0
Release:	3
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinxcontrib-applehelp/
Source0:	https://pypi.debian.net/sphinxcontrib-applehelp/sphinxcontrib_applehelp-%{version}.tar.gz
# Source0-md5:	e16bb1d6199f686d411c180e64a8e831
URL:		https://pypi.org/project/sphinxcontrib-applehelp/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-build
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sphinxcontrib-applehelp is a sphinx extension which outputs
Apple help books.

%description -l pl.UTF-8
sphinxcontrib-applehelp to rozszerzenie Sphinksa, zapisujące
książki pomocy Apple.

%prep
%setup -q -n sphinxcontrib_applehelp-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENCE.rst README.rst
%{py3_sitescriptdir}/sphinxcontrib/applehelp
%{py3_sitescriptdir}/sphinxcontrib_applehelp-%{version}.dist-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinxcontrib-applehelp.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 0975aa1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 5497b7d
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 1306251
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> bead999
- Up to 2.0.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 22e1fbc
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 224577f
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f6521cb
- rebuild with python 3.10

* Thu Mar 10 2022 Jakub Bogusz <qboosh@pld-linux.org> cb87394
- disable pytest plugins

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 598dca5
- release 2 (by relup.sh)

* Sun Apr 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 3d3246e
- new

